﻿/**All rights reserved, copyright © licensed - ยัวร์วิชั่นฯ (https://yourvisioninfo.com). */
:root {
    --urs-pointnum-input-width: 25rem;
    --urs-serialnum-input-width: 10rem;
    --urs-gaugepoint-edited-table-width: 28rem;
    --urs-input-group-lastchild-button-padding: .15rem 1rem;
    --urs-input-group-inputbox-padding: .15rem .35rem;
    --urs-table-gaugenum-width: 10rem;
}

.ulist.no-before li::before, .ulist.no-after li::after,
.no-before::before, .no-after::after {
    content: none !important;
}

.ulist {
    --urs-ulist-li-margin-left: .6rem;
    --urs-ulist-color: hsl(from currentColor h s l/.75);
    list-style: none;
    margin: 0;
    padding: 0;
    font-size: 100%;
    color: var(--urs-ulist-color);
}

    .ulist * {
        margin: 0;
        padding: 0;
    }

    .ulist li {
        margin-left: var(--urs-ulist-li-margin-left);
        text-align: start;
        padding: 0;
        position: relative;
    }

        .ulist li::before {
            position: absolute;
            margin-left: calc(-1 * var(--urs-ulist-li-margin-left));
            color: var(--urs-ulist-color);
            content: '⦁'; /* ● ⦁ ⚬ */
        }

    .ulist svg, .ulist img {
        width: 1rem;
        height: 1rem;
        overflow: visible;
        vertical-align: -.125rem;
    }

img.profile-photo {
    height: 4rem;
    border: 1px solid var(--bs-border-color);
    border-radius: calc(var(--bs-border-radius-sm) / 1.25);
    box-shadow: var(--bs-box-shadow-sm);
    cursor: zoom-in;
    filter: invert(.01);
}

img#profile-photo {
    z-index: 9999;
    position: absolute;
    text-align: center;
    background-color: hsl(from var(--bs-tertiary-color) h s l/.15);
    border: 1px solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    box-shadow: var(--bs-box-shadow);
    -o-object-fit: contain;
    object-fit: contain;
    display: none;
}

.pages-readonly-photo {
    height: 250px;
    max-width: 100%;
    -o-object-fit: contain;
    object-fit: contain;
    border-radius: var(--bs-border-radius);
    border: 1px solid var(--bs-border-color);
    background-color: hsl(from var(--bs-tertiary-color) h s l/.05);
}

.member-wrap {
    --urs-member-wrap-img-width: 115px;
    --urs-member-wrap-img-margin: 2.25rem;
    position: relative;
}

    .member-wrap > .member-bg {
        width: 100%;
    }

    .member-wrap > .member-photos {
        position: absolute;
        left: 1rem;
        top: 1rem;
    }

        .member-wrap > .member-photos > img {
            position: absolute;
            width: var(--urs-member-wrap-img-width);
            border-radius: 50%;
            cursor: zoom-in;
            transition: margin .14s ease;
        }

            .member-wrap > .member-photos > img#photo2 {
                left: calc(var(--urs-member-wrap-img-width) * 1 - var(--urs-member-wrap-img-margin) * 1);
            }

            .member-wrap > .member-photos > img#photo3 {
                left: calc(var(--urs-member-wrap-img-width) * 2 - var(--urs-member-wrap-img-margin) * 2);
            }

.slidebar-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 1px solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    box-shadow: var(--bs-box-shadow-sm);
    padding: .5rem;
}

    .slidebar-wrapper .slidebar-value {
        padding: 0 .75rem;
    }

.spin-md::-webkit-inner-spin-button {
    transform: scale(135%);
    margin-right: 0;
    margin-top: .15rem;
    margin-bottom: .15rem;
}

.spin-lg::-webkit-inner-spin-button {
    transform: scale(150%);
    margin-right: -.45rem;
    margin-top: .15rem;
    margin-bottom: .15rem;
}

.spin-xl::-webkit-inner-spin-button {
    transform: scale(180%);
    margin-right: -.45rem;
    margin-top: .25rem;
    margin-bottom: .25rem;
}

table {
    --urs-table-tr-hover-bg: var(--bs-secondary);
    /*width: fit-content !important;*/
}

    table th, table td {
        /*min-width: fit-content !important;*/
    }

    table th {
        /*white-space: nowrap;*/
        vertical-align: middle;
    }

.table-hover > tbody > tr:hover > * {
    --bs-table-hover-bg: hsl(from var(--urs-table-tr-hover-bg) h s l/.075);
}
/*.table-hover > tbody tr:hover input {
  background-color: hsl(from white h s l/.8);
}*/
table.ulist {
    max-width: fit-content;
    font-size: 100%;
}

    table.ulist th {
        font-weight: 100;
        -webkit-text-stroke: .25px;
    }

    table.ulist.ulist-padding th,
    table.ulist.ulist-padding td {
        padding: 0 .25rem;
    }

    table.ulist tr {
        border-radius: var(--bs-border-radius-sm);
    }

        table.ulist tr th:first-child,
        table.ulist tr td:first-child {
            border-top-left-radius: var(--bs-border-radius-sm);
            border-bottom-left-radius: var(--bs-border-radius-sm);
        }

        table.ulist tr th:last-child,
        table.ulist tr td:last-child {
            border-top-right-radius: var(--bs-border-radius-sm);
            border-bottom-right-radius: var(--bs-border-radius-sm);
        }

    table.ulist th, table.ulist td {
        border: none;
    }

    table.ulist input {
        padding: .125rem .25rem;
    }
/**table for newpoint inputs*/
.table-addpointnum {
    --urs-table-addpointnum-border-radius: var(--bs-border-radius-sm);
    width: min-content;
}

    .table-addpointnum input[type="number"]::-webkit-inner-spin-button,
    .table-addpointnum input[type="number"]::-webkit-outer-spin-button {
        margin: 0 -.25rem 0 .1rem;
        padding: 0 .0rem;
    }

@media(max-width: 991.98px) {
    .table-addpointnum input[type="number"]::-webkit-inner-spin-button,
    .table-addpointnum input[type="number"]::-webkit-outer-spin-button {
        padding: .0rem .5rem;
    }
}

.table-addpointnum thead tr th {
    font-weight: normal;
}

.table-addpointnum tr th,
.table-addpointnum tr td {
    padding: 0 1rem 0 .5rem;
}

    .table-addpointnum tr td:has(input),
    .table-addpointnum tr td:has(button) {
        padding: 0 0 .35rem;
    }

.table-addpointnum input {
    padding: var(--urs-input-group-inputbox-padding);
    border-radius: 0;
    border-right-width: 0;
}

    .table-addpointnum input:focus {
        border-right-width: 1px;
    }

.table-addpointnum tr th input[type="number"],
.table-addpointnum tr td input[type="number"] {
    min-width: 6rem;
    text-align: end;
}

.table-addpointnum tr td input[type="text"] {
    min-width: 4rem;
    text-align: start;
}

.table-addpointnum > tbody > tr > td:first-child > input,
.table-addpointnum > tbody > tr > td:first-child > button {
    border-radius: var(--urs-table-addpointnum-border-radius) 0 0 var(--urs-table-addpointnum-border-radius);
}

.table-addpointnum > tbody > tr > td:last-child > input,
.table-addpointnum > tbody > tr > td:last-child > button {
    border-radius: 0 var(--urs-table-addpointnum-border-radius) var(--urs-table-addpointnum-border-radius) 0;
}

.table-addpointnum > tbody > tr > td:last-child > input,
.table-addpointnum > tbody > tr > td:last-child > button {
    min-width: fit-content !important;
    padding: var(--urs-input-group-lastchild-button-padding);
}

.table-editpointnum {
    min-width: fit-content;
}

    .table-editpointnum tbody tr {
        vertical-align: middle;
    }

    .table-editpointnum tr td {
        padding: .15rem .15rem;
        width: calc(100% / 7);
        min-width: 8rem;
    }

.table-editchildno {
    width: min-content;
}

    .table-editchildno tbody tr {
        vertical-align: middle;
    }

    .table-editchildno tr td {
        padding: .15rem .15rem;
        min-width: 12rem;
    }

        .table-editchildno tr td:first-child {
            min-width: fit-content;
        }

.table-fixedtop-wrapper {
    --urs-table-fixedtop-height: 440px;
    overflow-y: auto;
    max-height: var(--urs-table-fixedtop-height);
}

    .table-fixedtop-wrapper table > thead {
        position: -webkit-sticky;
        position: sticky;
        top: 0;
        z-index: 1020;
    }

.asp-validation-for-bottom-left {
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translate(0, 25%);
    white-space: nowrap;
    font-size: 95%;
    z-index: 3;
}

.asp-validation-for-top-left {
    position: absolute;
    top: 0;
    left: 0;
    transform: translate(0, -25%);
    white-space: nowrap;
    font-size: 95%;
    z-index: 3;
}

td:has(.asp-validation-for-top-left),
td:has(.asp-validation-for-bottom-left) {
    position: relative;
}

[readonly], .readonly {
    pointer-events: none;
}

input[type="checkbox"][readonly],
input[type="checkbox"].readonly {
    opacity: .5;
    vertical-align: -.125em;
}

input[type="checkbox"] {
    cursor: pointer;
}

table tr.markhidden * {
    color: hsl(from currentColor h s l/.8) !important;
    opacity: .8;
}
/** dropper */
.dropzone {
    --urs-dropzone-hover-bg: hsl(from var(--bs-primary-bg-subtle) h s l/.5);
    --urs-dropzone-border-color: hsl(from var(--bs-primary-bg-subtle) h s l/1);
}

[data-bs-theme="dark"] .dropzone {
    --urs-dropzone-hover-bg: hsl(from var(--bs-light-bg-subtle) h s l/1);
}

.dropzone.dragover {
    background-color: var(--urs-dropzone-hover-bg);
}

.dropfile-preview {
    display: flex;
    height: 100%;
    width: 100%;
    background-color: hsl(from var(--bs-primary-bg-subtle) h s l/.2);
    border: 1px solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    position: relative;
}

.dropfile-preview-container {
    cursor: pointer;
}

    .dropfile-preview-container:hover {
        background-color: var(--urs-dropzone-hover-bg);
        border: 1px solid var(--urs-dropzone-border-color);
    }

        .dropfile-preview-container:hover .dropfile-preview {
            background-color: hsl(from var(--bs-body-bg) h s l/.5);
        }

.dropfile-preview .dropfile-info {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: auto;
    padding: .5rem;
    color: hsl(from currentColor h s l/.5);
}

.dropfile-preview .dropfile-image {
    height: 100%;
    width: 100%;
    margin: auto;
    box-shadow: var(--bs-box-shadow-sm);
    border-radius: var(--bs-border-radius);
}

.dropfile-preview-container .dropfile-preview {
    transition: transform .18s ease, margin .18s ease;
}

.dropfile-preview .dropfile-remover {
    cursor: url(/lib/oo/assets/image/cursor-hand.png) 6 0, auto;
    position: absolute;
    right: 0;
    padding: .25rem .375rem;
    margin: .25rem .25rem 0 0;
    color: hsl(from var(--bs-body-bg) h s l/.75);
    background: hsl(from var(--bs-body-color) h s l/.6);
    border-radius: 50%;
    filter: invert(1);
}

    .dropfile-preview .dropfile-remover:hover {
        color: var(--bs-body-bg);
        background: hsl(from var(--bs-body-color) h s l/.75);
    }

.dropfile-preview .dropfile-content {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, -2px);
    background-color: hsl(from var(--bs-body-bg) h s l/.5);
    border: 1px solid hsl(from var(--bs-body-bg) h s l/.3);
    border-radius: var(--bs-border-radius-sm);
    padding: 0 .3rem;
    font-size: .875rem;
    display: none;
}
/**form-group-input*/
.form-group-input {
    position: relative;
}

    .form-group-input > .input-wrapper:has(input[type="range"]) {
        padding: 1.65rem .8rem .35rem;
    }

    .form-group-input > .input-wrapper:has(input[type="file"]) {
        padding: 2rem .8rem .8rem;
        border: 1px solid var(--bs-border-color);
        border-radius: var(--bs-border-radius);
        box-shadow: var(--bs-box-shadow-sm);
    }

    .form-group-input > label {
        position: absolute;
        left: .8rem;
        top: .45rem;
        color: var(--bs-secondary);
        font-size: 90%;
        /*-webkit-text-stroke: .3px;*/
    }

    .form-group-input > span:first-child {
        position: absolute;
        left: .2rem;
    }

    .form-group-input span:last-child {
        left: 0rem;
    }

.asp-validation-for.field-validation-error {
}
/**input[type="number"] custom spinner*/
.spinner-wrapper {
    --urs-spinner-wrapper-input-padding-x: 1.7rem;
    --urs-spinner-wrapper-icon-padding-y: .0rem;
    --urs-spinner-wrapper-icon-size: 70%;
    position: relative;
}

    .spinner-wrapper input[type="number"] {
        padding-left: .35rem;
        padding-right: calc(var(--urs-spinner-wrapper-input-padding-x) + .35rem);
    }

        .spinner-wrapper input[type="number"]::-webkit-outer-spin-button,
        .spinner-wrapper input[type="number"]::-webkit-inner-spin-button {
            -webkit-appearance: none;
        }

    .spinner-wrapper .spin-nav {
        position: absolute;
        top: 0;
        right: 0;
        height: calc(100% - 2px);
        width: var(--urs-spinner-wrapper-input-padding-x);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        background-color: var(--bs-tertiary-bg);
        border-top-right-radius: var(--bs-border-radius);
        border-bottom-right-radius: var(--bs-border-radius);
        margin: 1px 1px 1px 0;
    }

    .spinner-wrapper .spin-up {
        padding-top: var(--urs-spinner-wrapper-icon-padding-y);
    }

    .spinner-wrapper .spin-dn {
        padding-bottom: var(--urs-spinner-wrapper-icon-padding-y);
    }

    .spinner-wrapper .spin-up,
    .spinner-wrapper .spin-dn {
        height: 50%;
        display: flex;
        width: 100%;
        cursor: pointer;
        color: hsl(from currentColor h s l/.5);
    }

        .spinner-wrapper .spin-up:hover,
        .spinner-wrapper .spin-dn:hover {
            color: currentColor;
        }

        .spinner-wrapper .spin-up:active,
        .spinner-wrapper .spin-dn:active {
            background-color: var(--bs-tertiary-bg);
            filter: contrast(.9);
        }

    .spinner-wrapper svg {
        margin: auto;
        width: var(--urs-spinner-wrapper-icon-size);
        height: var(--urs-spinner-wrapper-icon-size);
        font-size: var(--urs-spinner-wrapper-icon-size);
        overflow: visible;
    }

.label-floating {
    position: relative;
}

    .label-floating label {
        position: absolute;
        top: 0;
        padding: 0 .125rem;
        transform: translate(.5rem, -35%);
        background-color: var(--bs-body-bg);
    }

    .label-floating .form-control {
        padding: 0;
        padding-top: .5rem;
    }

}

.input-group > *:not(:first-child) > .form-control {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.input-group > *:not(:last-child) > .form-control {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.nospin::-webkit-outer-spin-button,
.nospin::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

.input-group.child-input {
    flex-wrap: nowrap;
}

    .input-group.child-input input {
        padding: var(--urs-input-group-inputbox-padding);
        min-width: 0 !important;
    }

    .input-group.child-input button {
        min-width: 0 !important;
        padding: var(--urs-input-group-lastchild-button-padding);
    }

textarea, input:not([type=range]) {
    box-shadow: var(--bs-box-shadow-sm) !important;
}
/**custom*/
vline {
    text-align: center;
    vertical-align: -.05rem;
    border-left: 1px solid hsl(from var(--bs-body-color) h s l/.25);
    margin-right: .3rem;
    margin-left: .15rem;
}

    vline.no-flex {
        display: unset !important;
        margin-left: .315rem;
        height: 1.15rem;
    }

hline {
    background-color: hsl(from var(--bs-body-color) h s l/.25);
    height: .5px;
    display: inline-flex;
    margin: .25rem .25rem;
    width: 10%
}

    hline.no-flex {
        margin: .25rem .4rem;
    }

.vb-0, .vt-0 {
    vertical-align: 0;
}

.vt-1 {
    vertical-align: -.25rem;
}

.vt-2 {
    vertical-align: -.5rem;
}

.vb-1 {
    vertical-align: .25rem;
}

.vb-2 {
    vertical-align: .5rem;
}

.daterange-container {
    --urs-daterange-container-border-focus-color: var(--bs-primary);
    z-index: 0;
    position: relative;
}

    .daterange-container span {
        position: absolute;
        top: 1px;
        height: calc(100% - 2px);
        border-width: 0 1px 0 0;
        background-color: none;
        z-index: 6;
    }

input[name="searchDate"] {
    text-align: center;
    border-radius: var(--bs-border-radius) !important;
    padding-left: 2.875rem;
    padding-right: .375rem;
    transition: all ease .3s;
}

.daterange-container input[name="searchDate"]:not(hover):not(focus) {
    width: 14.35rem !important;
    max-width: 14.35rem !important;
}

.daterange-container:not(.no-expand):hover input[name="searchDate"],
.daterange-container:not(.no-expand) input[name="searchDate"]:focus {
    width: 14rem !important;
    max-width: 14rem !important;
}

.daterange-container:hover input[name="searchDate"],
.daterange-container input[name="searchDate"]:focus {
    border: 1px solid hsl(from var(--urs-daterange-container-border-focus-color) h s l/0.35);
    box-shadow: 0 0 .0625rem .125rem hsl(from var(--urs-daterange-container-border-focus-color) h s l/.15);
}

.search-container {
    --urs-search-container-input-width: 18rem;
}

    .search-container .search-text {
        width: var(--urs-search-container-input-width);
        padding-top: .375rem;
        padding-bottom: .375rem;
    }

    .search-container:not(.no-expand):hover .search-text,
    .search-container:not(.no-expand) .search-text:focus {
        width: calc(var(--urs-search-container-input-width) + 1rem);
    }

@media(max-width: 575.98px) {
    .search-container .search-text {
        max-width: fit-content;
    }
}

@media(max-width: 411.98px) {
    .daterange-container,
    .search-container {
        display: none;
    }
}

.search-textbox {
    --search-textbox-icon-size: 1.25rem;
    --search-textbox-icon-gap: .5rem;
    --search-textbox-border-color: var(--bs-primary);
    position: relative;
    user-select: none;
}

    .search-textbox input {
        padding-left: calc(var(--search-textbox-icon-size) * 2 + var(--search-textbox-icon-gap) * 3);
    }

        .search-textbox input:focus,
        .search-textbox input:hover {
            border-color: hsl(from var(--search-textbox-border-color) h s l/.375);
        }

    .search-textbox svg {
        width: var(--search-textbox-icon-size);
        height: var(--search-textbox-icon-size);
        font-size: var(--search-textbox-icon-size);
        line-height: 1;
        overflow: visible;
        position: absolute;
        top: 50%;
        cursor: pointer;
        color: hsl(from currentColor h s l/.6);
        transition: color .15s linear;
    }

        .search-textbox svg:hover {
            color: hsl(from currentColor h s l/.95);
        }

        .search-textbox svg.bi-x-lg {
            transform: translate(var(--search-textbox-icon-gap), -50%);
        }

        .search-textbox svg.bi-search {
            transform: translate(calc(100% + var(--search-textbox-icon-gap) * 2), -50%);
        }
/**.table-rtbl*/
.table-rtbl {
    --table-rtbl-border-radius: var(--bs-border-radius);
    border-collapse: separate;
    border-spacing: 0;
}

    .table-rtbl > thead > tr > th,
    .table-rtbl > thead > tr > td,
    .table-rtbl > tbody > tr > td {
        border: solid 1px #000;
        border-style: none solid solid none;
        padding: 10px;
    }

    .table-rtbl > tbody:is(:first-child) tr:first-child > td,
    .table-rtbl > tbody:is(:first-child) tr:first-child > th,
    .table-rtbl > thead > tr:first-child > td,
    .table-rtbl > thead > tr:first-child > th {
        border-top-style: solid;
    }

    .table-rtbl > thead > tr:not(.table-rtbl-child) > th:first-child,
    .table-rtbl > tbody > tr:not(.table-rtbl-child) > td:first-child {
        border-left-style: solid;
    }

    .table-rtbl > tbody:is(:first-child) > tr:first-child > td:first-child,
    .table-rtbl > tbody:is(:first-child) > tr:first-child > th:first-child,
    .table-rtbl > thead > tr:first-child > th:first-child {
        border-top-left-radius: var(--table-rtbl-border-radius);
    }

    .table-rtbl > tbody:is(:first-child) > tr:first-child > td:last-child,
    .table-rtbl > tbody:is(:first-child) > tr:first-child > th:last-child,
    .table-rtbl > thead > tr:first-child > th:last-child {
        border-top-right-radius: var(--table-rtbl-border-radius);
    }

    .table-rtbl > tbody > tr:last-child > td:first-child {
        border-bottom-left-radius: var(--table-rtbl-border-radius);
    }

    .table-rtbl > tbody > tr:last-child > td:last-child {
        border-bottom-right-radius: var(--table-rtbl-border-radius);
    }

    .table-rtbl > tbody > tr > td.subtle,
    .table-rtbl > thead > tr > td.subtle,
    .table-rtbl > thead > tr > th {
        --table-rtbl-bg-color: var(--bs-warning-bg-subtle);
        background-color: var(--table-rtbl-bg-color);
    }
/*table *,
table {
  font-size:.925vw !important;
}*/
/**calibs record page*/
.calib-input {
    --urs-calib-input-border-color: var(--bs-primary);
    border-color: hsl(from var(--urs-calib-input-border-color) h s l/.5);
    border-width: 2px;
}

    .calib-input:hover,
    .calib-input:focus {
        border-color: var(--urs-calib-input-border-color);
    }

input[type="number"].calib-input {
    text-align: center;
}

    input[type="number"].calib-input::-webkit-outer-spin-button, .calib-input::-webkit-inner-spin-button {
        /*-webkit-appearance: none;*/
        margin: 0 -.7rem 0 -.5rem; /**adjust spin location*/
        padding: 0 .1rem; /**adjust spin size*/
    }

[data-bs-theme="dark"] img.invertondarktheme {
    filter: invert(1);
    border-color: hsl(from var(--bs-border-color) h s l/.3) !important;
}

.calib-select-list {
    --calib-select-list-hover-color:;
}

    .calib-select-list:hover, .calib-select-list:focus {
        border-color: hsl(from var(--calib-select-list-hover-color) h s l/.375);
        box-shadow: var(--bs-border-sm);
    }

.calib-time {
    position: absolute;
    top: 0;
    left: .3rem;
    color: hsl(from currentColor h s l/.6);
    font-size: 70%;
}

input[type="date"]::-webkit-calendar-picker-indicator {
    --urs-calendar-date-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M6.445 11.688V6.354h-.633A13 13 0 0 0 4.5 7.16v.695c.375-.257.969-.62 1.258-.777h.012v4.61zm1.188-1.305c.047.64.594 1.406 1.703 1.406 1.258 0 2-1.066 2-2.871 0-1.934-.781-2.668-1.953-2.668-.926 0-1.797.672-1.797 1.809 0 1.16.824 1.77 1.676 1.77.746 0 1.23-.376 1.383-.79h.027c-.004 1.316-.461 2.164-1.305 2.164-.664 0-1.008-.45-1.05-.82zm2.953-2.317c0 .696-.559 1.18-1.184 1.18-.601 0-1.144-.383-1.144-1.2 0-.823.582-1.21 1.168-1.21.633 0 1.16.398 1.16 1.23' /%3e%3cpath d='M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5M1 4v10a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V4z' /%3e%3c/svg%3e");
    /*background: #fff url(https://cdn1.iconfinder.com/data/icons/cc_mono_icon_set/blacks/16x16/calendar_2.png) 97% 50% no-repeat;*/
    background: #fff var(--urs-calendar-date-bg) 97% 50% no-repeat;
    cursor: pointer;
}

input[type="date"] {
    cursor: text;
}

.ms-n2 {
    margin-left: -.925rem !important;
}
/**facgauges page*/
.table-pointnum {
    --table-pointnum-border-radius: var(--bs-border-radius);
    --table-pointnum-num-width: 6rem;
    --table-pointnum-text-width: 4rem;
}

    .table-toolnum input, .table-toolnum .btn,
    .table-gaugenum input, .table-gaugenum .btn,
    .table-pointnum input, .table-pointnum .btn {
        font-size: .875rem;
    }

    .table-pointnum input {
        padding: .375rem 0rem;
    }

.table-toolnum input,
.table-gaugenum input {
    padding: .375rem;
}

.table-toolnum .btn,
.table-gaugenum .btn,
.table-pointnum .btn {
    padding: .375rem 1rem;
}

.table-pointnum .btn, .table-pointnum input {
    border-right-width: 0;
    border-radius: 0;
}

    .table-pointnum input:focus {
        border-right-width: 1px;
    }

.table-pointnum td:first-child input {
    border-radius: var(--table-pointnum-border-radius) 0 0 var(--table-pointnum-border-radius);
}

.table-pointnum td:last-child .btn {
    border-radius: 0 var(--table-pointnum-border-radius) var(--table-pointnum-border-radius) 0;
    padding-left: 1rem;
    padding-right: 1rem;
}

.table-toolnum td:has(.btn), .table-toolnum td:has(input),
.table-gaugenum td:has(.btn), .table-gaugenum td:has(input),
.table-pointnum td:has(.btn), .table-pointnum td:has(input) {
    padding: 0;
}

.table-toolnum th,
.table-gaugenum th,
.table-pointnum th {
    font-weight: 100;
    -webkit-text-stroke: .2px;
}

.table-pointnum th {
    text-align: center;
}

.table-pointnum tr:has(input) td {
    text-align: start !important;
}

.table-pointnum td {
    width: var(--table-pointnum-num-width);
    min-width: var(--table-pointnum-num-width);
    text-align: end;
    padding-right: 2rem;
}

.table-pointnum tr td:nth-last-child(-n+1) {
    padding-right: 0;
    text-align: center;
}

.table-pointnum tr td:first-child {
    padding-right: 0;
    text-align: center;
}

.table-pointnum tr td:first-child,
.table-pointnum tr td:nth-last-child(-n+2) {
    width: var(--table-pointnum-text-width);
    min-width: var(--table-pointnum-text-width);
}

.table-pointnum input::-webkit-inner-spin-button,
.table-pointnum input::-webkit-outer-spin-button {
    margin-right: -.5rem;
    margin-left: -1rem;
    padding: 0 .075rem;
}

.table-pointnum td input[type=number] {
    padding-right: .5rem;
}

.table-pointnum td input {
    text-align: center;
}

.table-toolnum tr td:first-child,
.table-gaugenum tr td:first-child {
    width: var(--urs-table-gaugenum-width);
    min-width: var(--urs-table-gaugenum-width);
}

.toolnum-container,
.gaugenum-container {
    max-height: 4.5rem;
    width: var(--urs-table-gaugenum-width);
    min-width: fit-content;
}

input::-webkit-inner-spin-button,
input::-webkit-outer-spin-button {
    cursor: pointer;
}

.signature {
    width: calc(5vw + 3rem);
    left: 50%;
    transform: translate(-50%, 0%);
    position: absolute;
}

.signature-container {
    position: relative;
    min-height: 5vh;
}

.input-outline-primary textarea:hover, .input-outline-primary textarea:focus,
.input-outline-primary input:hover, .input-outline-primary input:focus {
    border-color: hsl(from var(--bs-primary) h s l/.4) !important;
}

.input-outline-danger textarea:hover, .input-outline-danger textarea:focus,
.input-outline-danger input:hover, .input-outline-danger input:focus {
    border-color: hsl(from var(--bs-danger) h s l/.4) !important;
}

.input-outline-success textarea:hover, .input-outline-success textarea:focus,
.input-outline-success input:hover, .input-outline-success input:focus {
    border-color: hsl(from var(--bs-success) h s l/.4) !important;
}

.input-outline-warning textarea:hover, .input-outline-warning textarea:focus,
.input-outline-warning input:hover, .input-outline-warning input:focus {
    border-color: hsl(from var(--bs-warning) h s l/.4) !important;
}

.input-outline-info textarea:hover, .input-outline-info textarea:focus,
.input-outline-info input:hover, .input-outline-info input:focus {
    border-color: hsl(from var(--bs-info) h s l/.4) !important;
}
/** select2-css */
/*.select2-search__field {
  border-radius: var(--bs-border-radius-sm);
}*/
.bg-grayscale-min {
    filter: grayscale(.25);
}

.bg-grayscale {
    filter: grayscale(.4);
}

.bg-grayscale-max {
    filter: grayscale(.6);
}

@media print {
    @page {
        size: A4;
        margin: 2rem;
    }

    body {
        background-color: transparent;
        font-size: 80%;
        padding: 1rem .5rem 0;
    }

    .leftzone {
        width: calc(100% / 12 * 4);
    }

    .rightzone {
        width: calc(100% / 12 * 8);
    }

    .calib-table {
        width: 50%;
    }

    .signature-container {
        min-height: 3.5vh;
    }
}

.checksheet {
    color: hsl(from var(--bs-body-color) h s l/.7);
}

    .checksheet:hover {
        color: hsl(from var(--bs-body-color) h s l/.95);
    }
/**js-camera-mic*/
#camera video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--bs-border-radius);
    border: 1px solid var(--bs-border-color);
    background-color: var(--bs-tertiary-bg);
}

#camera img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--bs-border-radius);
    border: 1px solid var(--bs-border-color);
    background-color: var(--bs-tertiary-bg);
    margin-bottom: .25rem;
}

#camera .btn {
    color: hsl(from currentColor h s l/.85);
}

    #camera .btn svg {
        width: 1.35rem;
        height: 1.35rem;
        overflow: visible;
    }
